#ifndef __SOUNDTEST_SETUP_H
#define __SOUNDTEST_SETUP_H

#include <vdr/plugin.h>

struct cSoundtestSetup {
    cSoundtestSetup(void);
    ~cSoundtestSetup();
    bool SetupParse(const char *Name, const char *Value);
    int hidemenu;
    int alpha;
    int screen;
    int bars;
    int linear;
    int samplerate;
    int size;
    int channels;
    int byteswap;
    int returnsamplerate;
    int returnsize;
    int returnchannels;
    bool commandlinedevice;
    char device[MaxFileName];
    int filetype;
    char filetypename[7];
    const char *filetypeItems[50];
/*    signed char returnsamplesize;
    signed char returnencoding;
    signed char returnchannels;
    signed char returnchannels;
    char returnswap;*/
};

extern cSoundtestSetup SoundtestSetup;

class cSoundtestSetupPage : public cMenuSetupPage {
private:
    cSoundtestSetup mySoundtestSetup;
    void ShowItems(void);

protected:
    virtual eOSState ProcessKey(eKeys Key);

public:
    cSoundtestSetupPage(void);
    virtual ~cSoundtestSetupPage();
    virtual void Store(void);
};

#endif

